basic = require("basic")
hash = require("hash")
--aes = require("lib.aes") --aes does not yet work with require
os.loadAPI("brulijam/lib/aes.lua")

function createKeyfile()
  basic.clearDisplay()
  print("[Networking]")
  print("Please enter a shared secret for networking.")
  print("This will be used to communicate with other Devices and should be the same on different Turtles and Computers that you want to be connected.")
  write("Input: ")
  local pwHash = hash.digestStr(read("*") .. "salty salt")
  basic.writeToFile("brulijam/files/networking-key.txt", pwHash)
  basic.clearDisplay()
end

if not fs.exists "brulijam/files/networking-key.txt" then
  createKeyfile()
end